> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/transactional/api/templates/add/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Add a new template POST https://mandrillapp.com/api/1.4/templates/add Content-Type: application/json Creates a new email template with the specified content and settings. Reference: https://mailchimp.com/developer/transactional/api/templates/add ## Request ### Body (application/json) This endpoint expects a TemplatesAddRequest. - `key` (string, required) — A valid Mandrill API key - `name` (string, required) — Name for the new template - must be unique - `from_email` (string, optional, nullable) — Default sending address for emails sent using this template - `from_name` (string, optional, nullable) — Default from name to be used - `subject` (string, optional, nullable) — Default subject line to be used - `code` (string, optional, nullable) — HTML code for the template with mc:edit attributes for editable elements - `text` (string, optional, nullable) — Default text part to be used when sending with this template - `publish` (boolean, optional, default: true) — Set to false to add a draft template without publishing - `labels` (list of string, optional) — Optional array of up to 10 labels to use for filtering templates ## Response ### 200 Success - `any` ## Errors ### 401 Unauthorized Error Invalid or missing API key. - `status` (string, required) — Status of the response, typically "error" - `code` (enum, required) — Numeric error code - Allowed values: `401` - `name` (enum, required) — Machine-friendly error name - Allowed values: `Invalid_Key` - `message` (string, required) — Human-readable error message ### 422 Unprocessable Entity Error Invalid template data - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ### 500 Internal Server Error An unexpected internal server error occurred. - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ## Examples **Request** ```json { "key": "ONzNrsmbtNXoIKyfPmjnig", "name": "Example Template", "from_email": "sender@example.com", "from_name": "Example Name", "subject": "Welcome to our service", "code": "
example code
", "text": "Example text content", "publish": true, "labels": [ "example-label" ] } ``` **Response** ```json { "code": "

test

", "created_at": "2025-08-29 18:47:40.26276", "draft_updated_at": "2025-08-29 18:47:40", "from_email": "test@mailchimp.com", "from_name": "Freddie", "is_broken_template": false, "labels": [], "name": "test-template", "publish_code": "

test

", "publish_from_email": "test@mailchimp.com", "publish_from_name": "Freddie", "publish_name": "test-template", "publish_subject": "test", "publish_text": "test", "published_at": "2025-08-29 18:47:40", "slug": "test-template", "subject": "test", "text": "test", "updated_at": "2025-08-29 18:47:40.26277" } ``` **SDK Code** ```python import requests url = "https://mandrillapp.com/api/1.4/templates/add" payload = { "key": "ONzNrsmbtNXoIKyfPmjnig", "name": "Example Template", "from_email": "sender@example.com", "from_name": "Example Name", "subject": "Welcome to our service", "code": "
example code
", "text": "Example text content", "publish": True, "labels": ["example-label"] } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://mandrillapp.com/api/1.4/templates/add'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"ONzNrsmbtNXoIKyfPmjnig","name":"Example Template","from_email":"sender@example.com","from_name":"Example Name","subject":"Welcome to our service","code":"
example code
","text":"Example text content","publish":true,"labels":["example-label"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://mandrillapp.com/api/1.4/templates/add" payload := strings.NewReader("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"name\": \"Example Template\",\n \"from_email\": \"sender@example.com\",\n \"from_name\": \"Example Name\",\n \"subject\": \"Welcome to our service\",\n \"code\": \"
example code
\",\n \"text\": \"Example text content\",\n \"publish\": true,\n \"labels\": [\n \"example-label\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://mandrillapp.com/api/1.4/templates/add") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"name\": \"Example Template\",\n \"from_email\": \"sender@example.com\",\n \"from_name\": \"Example Name\",\n \"subject\": \"Welcome to our service\",\n \"code\": \"
example code
\",\n \"text\": \"Example text content\",\n \"publish\": true,\n \"labels\": [\n \"example-label\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://mandrillapp.com/api/1.4/templates/add") .header("Content-Type", "application/json") .body("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"name\": \"Example Template\",\n \"from_email\": \"sender@example.com\",\n \"from_name\": \"Example Name\",\n \"subject\": \"Welcome to our service\",\n \"code\": \"
example code
\",\n \"text\": \"Example text content\",\n \"publish\": true,\n \"labels\": [\n \"example-label\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://mandrillapp.com/api/1.4/templates/add', [ 'body' => '{ "key": "ONzNrsmbtNXoIKyfPmjnig", "name": "Example Template", "from_email": "sender@example.com", "from_name": "Example Name", "subject": "Welcome to our service", "code": "
example code
", "text": "Example text content", "publish": true, "labels": [ "example-label" ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://mandrillapp.com/api/1.4/templates/add"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"name\": \"Example Template\",\n \"from_email\": \"sender@example.com\",\n \"from_name\": \"Example Name\",\n \"subject\": \"Welcome to our service\",\n \"code\": \"
example code
\",\n \"text\": \"Example text content\",\n \"publish\": true,\n \"labels\": [\n \"example-label\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "key": "ONzNrsmbtNXoIKyfPmjnig", "name": "Example Template", "from_email": "sender@example.com", "from_name": "Example Name", "subject": "Welcome to our service", "code": "
example code
", "text": "Example text content", "publish": true, "labels": ["example-label"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://mandrillapp.com/api/1.4/templates/add")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.